
Figure - Bug #114758
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT】【小窗模式】【时钟】先打开时钟应用，再进recent,点击小窗应用中的时钟图标，时钟仍以
全屏的形式打开
2022-12-22 16:42 - CD TEST-方永红

Status: CLOSED Start date: 2022-12-22

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0061.X101

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212300319

Reproducibility: Every time Fixed Version: 2022-12-30

Test Type: IT Root cause: 编码问题

Description

【前提条件】

1、设备已开机

【测试步骤】

1、打开时钟应用

2、进入recent

3、点击小窗应用中的时钟图标

【预期结果】

3、时钟以小窗的形式打开

【实际结果】

3、时钟仍以全屏的形式打开

History

#1 - 2022-12-23 10:09 - DL FW-张挽强

- Status changed from New to ASSIGNED

- Assignee changed from DL FW-张挽强 to CD TEST-方永红

本地复现过程中，只有时钟应用有这个问题， 帮忙确认一下是否是单应用问题，如果是的话，请转给应用侧去评估，涉及原生app是否需要修改。

#2 - 2022-12-27 15:01 - CD TEST-方永红

- Category changed from 窗口定制 to CD-APP

- Assignee changed from CD TEST-方永红 to CD APP-王营

#3 - 2022-12-27 16:44 - CD APP-王营

- Assignee changed from CD APP-王营 to CD APP-李德盛

#4 - 2022-12-28 10:37 - CD APP-李德盛

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED
- Degrated changed from -- to No

■ Current conclusion

启动时钟小窗时缺少参数Intent.FLAG_ACTIVITY_CLEAR_TASK

■ My analysis

为了解决https://share.thundersoft.com/redmine/issues/114239 去掉了Intent.FLAG_ACTIVITY_CLEAR_TASK参数，

后面发现是时钟应用本身的问题，在这个issue中修复了，https://share.thundersoft.com/redmine/issues/114647，恢复Intent.FLAG_ACTIVITY_CLEAR_TASK参

数后问题消失

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/172651

#5 - 2022-12-29 09:14 - CD APP-李德盛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-李德盛 to CD TEST-方永红

- Fixed Version set to 2022-12-30

- Root cause set to 编码问题

#6 - 2022-12-30 10:29 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212300319

12.30

验证通过

#7 - 2022-12-30 10:29 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

Phone-STS40X190122 2022-12-22 16-41-19.mp4 19.8 MB 2022-12-22 CD TEST-方永红
